Package org.springframework.security.web.webauthn.api

# Class AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder

java.lang.Object
org.springframework.security.web.webauthn.api.AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder

Enclosing class:
  AuthenticatorSelectionCriteria

public static final class AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder extends Object
Creates a `AuthenticatorSelectionCriteria`

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder`
`authenticatorAttachment(AuthenticatorAttachment authenticatorAttachment)`
Sets the `AuthenticatorSelectionCriteria.getAuthenticatorAttachment()` property.
`AuthenticatorSelectionCriteria`
`build()`
Builds a `AuthenticatorSelectionCriteria`
`AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder`
`residentKey(ResidentKeyRequirement residentKey)`
Sets the `AuthenticatorSelectionCriteria.getResidentKey()` property.
`AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder`
`userVerification(UserVerificationRequirement userVerification)`
Sets the `AuthenticatorSelectionCriteria.getUserVerification()` property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### authenticatorAttachment

public AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder authenticatorAttachment(AuthenticatorAttachment authenticatorAttachment)
Sets the `AuthenticatorSelectionCriteria.getAuthenticatorAttachment()` property.

Parameters:
  `authenticatorAttachment` - the authenticator attachment
Returns:
  the `AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder`

### residentKey

public AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder residentKey(ResidentKeyRequirement residentKey)
Sets the `AuthenticatorSelectionCriteria.getResidentKey()` property.

Parameters:
  `residentKey` - the resident key
Returns:
  the `AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder`

### userVerification

public AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder userVerification(UserVerificationRequirement userVerification)
Sets the `AuthenticatorSelectionCriteria.getUserVerification()` property.

Parameters:
  `userVerification` - the user verification requirement
Returns:
  the `AuthenticatorSelectionCriteria.AuthenticatorSelectionCriteriaBuilder`

### build

public AuthenticatorSelectionCriteria build()
Builds a `AuthenticatorSelectionCriteria`

Returns:
  a new `AuthenticatorSelectionCriteria`